export type Parameter = {
    id: string,
    name: string,
    description: string,
    required: boolean,
    multiple: boolean,
    type: string,
    default?: any,
    max?: number,
    min?: number,
    single_row_parameter?: boolean,
    value_list?: {
        label: string,
        value: any,
        description?: string,
        group?: string,
        color?: string,
        values_in_group?: string[]
    }[],
    sub_parameters: {
        condition: string,
        parameter: Parameter
    }[]
}
export type TableColumnDescriptor = {
    id: string,
    name: string,
    type: string
}
export type CustomTarget = {
    id: string,
    label: string,
    combines: string[]
}
export type Annotation = {
    id: string,
    label: string,
    type: 'yaxis' | 'xaxis',
    value: number,
    color: string,
    thickness: number,
    dashed: boolean,
}
export type ColorTarget = {
    label: string,
    value: string,
    description?: string,
    group?: string,
    color?: string,
}
export type AvailableCategory = ColorTarget
export type AvailableSeries = ColorTarget
export type ReturnedCategory = {
    id: string,
    name: string,
}
export type ReturnedSeries = {
    id: string,
    name: string,
    data: any[]
}